org.apache.http.impl.auth.win

## Class WindowsCredentialsProvider

- java.lang.Object
- - org.apache.http.impl.auth.win.WindowsCredentialsProvider

All Implemented Interfaces:
  CredentialsProvider

    @Contract(threading=SAFE)
    public class WindowsCredentialsProvider
    extends Object
    implements CredentialsProvider

`CredentialsProvider` implementation that always returns `CurrentWindowsCredentials` instance to NTLM and SPNego authentication challenges.

EXPERIMENTAL

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`WindowsCredentialsProvider(CredentialsProvider provider)`

### Method Summary

Methods
`void` `clear()` Clears all credentials.
`Credentials` `getCredentials(AuthScope authscope)` Get the `credentials` for the given authentication scope.
`void` `setCredentials(AuthScope authscope, Credentials credentials)` Sets the `credentials` for the given authentication scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsCredentialsProvider

    public WindowsCredentialsProvider(CredentialsProvider provider)

### Method Detail

#### getCredentials

    public Credentials getCredentials(AuthScope authscope)

Description copied from interface: `CredentialsProvider`
Get the `credentials` for the given authentication scope.

Specified by:
  `getCredentials` in interface `CredentialsProvider`
Parameters:
  `authscope` - the `authentication scope`
Returns:
  the credentials
See Also:
  `CredentialsProvider.setCredentials(AuthScope, Credentials)`

#### setCredentials

    public void setCredentials(AuthScope authscope,
                      Credentials credentials)

Description copied from interface: `CredentialsProvider`
Sets the `credentials` for the given authentication scope. Any previous credentials for the given scope will be overwritten.

Specified by:
  `setCredentials` in interface `CredentialsProvider`
Parameters:
  `authscope` - the `authentication scope`
  `credentials` - the authentication `credentials` for the given scope.
See Also:
  `CredentialsProvider.getCredentials(AuthScope)`

#### clear

    public void clear()

Description copied from interface: `CredentialsProvider`
Clears all credentials.

Specified by:
  `clear` in interface `CredentialsProvider`